<script setup lang="ts">
import { ref, watch } from 'vue'
import { useReceiptStore } from '@/stores/receipt'
const receiptStore = useReceiptStore()
const items = ['Select Promotion', 'Happy New Year', 'Summer Season', 'Winter Season']
const selectedPromotion = ref('Select Promotion')

watch(selectedPromotion, (newVal) => {
  receiptStore.updatePromotion(newVal)
})
</script>

<template>
  <v-container>
    <v-row no-gutters>
      <v-col cols="6">
        <v-select
          prepend-icon="mdi-sale"
          v-model="selectedPromotion"
          :items="items"
          density="compact"
          label="Promotion"
          style="max-width: 250px"
        >
        </v-select>
      </v-col>
      <v-col class="my-2">
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>
        <v-icon icon="mdi-gift" v-if="selectedPromotion === 'Happy New Year'"></v-icon>

        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>
        <v-icon
          icon="mdi-white-balance-sunny"
          v-if="selectedPromotion === 'Summer Season'"
        ></v-icon>

        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
        <v-icon icon="mdi-snowflake" v-if="selectedPromotion === 'Winter Season'"></v-icon>
      </v-col>
    </v-row>
  </v-container>
</template>
